## monitoring-plugins-2.3.1-1.src.tar.gz

=== perlmods/Makefile ===
# Makefile.in generated by automake 1.11.6 from Makefile.am.
# perlmods/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/monitoring-plugins
pkgincludedir = $(includedir)/monitoring-plugins
pkglibdir = $(libdir)/monitoring-plugins
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = perlmods
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libcurl.m4 \
	$(top_srcdir)/m4/np_mysqlclient.m4 \
	$(top_srcdir)/m4/uriparser.m4 $(top_srcdir)/gl/m4/00gnulib.m4 \
	$(top_srcdir)/gl/m4/alloca.m4 \
	$(top_srcdir)/gl/m4/arpa_inet_h.m4 \
	$(top_srcdir)/gl/m4/base64.m4 $(top_srcdir)/gl/m4/btowc.m4 \
	$(top_srcdir)/gl/m4/codeset.m4 \
	$(top_srcdir)/gl/m4/configmake.m4 \
	$(top_srcdir)/gl/m4/dirname.m4 \
	$(top_srcdir)/gl/m4/double-slash-root.m4 \
	$(top_srcdir)/gl/m4/eealloc.m4 $(top_srcdir)/gl/m4/environ.m4 \
	$(top_srcdir)/gl/m4/errno_h.m4 $(top_srcdir)/gl/m4/error.m4 \
	$(top_srcdir)/gl/m4/exponentd.m4 \
	$(top_srcdir)/gl/m4/extensions.m4 \
	$(top_srcdir)/gl/m4/extern-inline.m4 \
	$(top_srcdir)/gl/m4/fcntl-o.m4 $(top_srcdir)/gl/m4/float_h.m4 \
	$(top_srcdir)/gl/m4/floorf.m4 \
	$(top_srcdir)/gl/m4/fstypename.m4 \
	$(top_srcdir)/gl/m4/fsusage.m4 \
	$(top_srcdir)/gl/m4/getaddrinfo.m4 \
	$(top_srcdir)/gl/m4/gethostname.m4 \
	$(top_srcdir)/gl/m4/getloadavg.m4 \
	$(top_srcdir)/gl/m4/getopt.m4 $(top_srcdir)/gl/m4/gettext.m4 \
	$(top_srcdir)/gl/m4/glibc21.m4 \
	$(top_srcdir)/gl/m4/gnulib-common.m4 \
	$(top_srcdir)/gl/m4/gnulib-comp.m4 \
	$(top_srcdir)/gl/m4/hostent.m4 $(top_srcdir)/gl/m4/iconv.m4 \
	$(top_srcdir)/gl/m4/idpriv.m4 \
	$(top_srcdir)/gl/m4/include_next.m4 \
	$(top_srcdir)/gl/m4/inet_ntop.m4 \
	$(top_srcdir)/gl/m4/intlmacosx.m4 \
	$(top_srcdir)/gl/m4/intmax_t.m4 \
	$(top_srcdir)/gl/m4/inttypes_h.m4 \
	$(top_srcdir)/gl/m4/langinfo_h.m4 \
	$(top_srcdir)/gl/m4/largefile.m4 $(top_srcdir)/gl/m4/lib-ld.m4 \
	$(top_srcdir)/gl/m4/lib-link.m4 \
	$(top_srcdir)/gl/m4/lib-prefix.m4 \
	$(top_srcdir)/gl/m4/libtool.m4 \
	$(top_srcdir)/gl/m4/localcharset.m4 \
	$(top_srcdir)/gl/m4/locale-fr.m4 \
	$(top_srcdir)/gl/m4/locale-ja.m4 \
	$(top_srcdir)/gl/m4/locale-zh.m4 \
	$(top_srcdir)/gl/m4/locale_h.m4 \
	$(top_srcdir)/gl/m4/localeconv.m4 $(top_srcdir)/gl/m4/lock.m4 \
	$(top_srcdir)/gl/m4/longlong.m4 \
	$(top_srcdir)/gl/m4/ls-mntd-fs.m4 \
	$(top_srcdir)/gl/m4/ltoptions.m4 \
	$(top_srcdir)/gl/m4/ltsugar.m4 \
	$(top_srcdir)/gl/m4/ltversion.m4 \
	$(top_srcdir)/gl/m4/lt~obsolete.m4 \
	$(top_srcdir)/gl/m4/malloc.m4 $(top_srcdir)/gl/m4/malloca.m4 \
	$(top_srcdir)/gl/m4/math_h.m4 $(top_srcdir)/gl/m4/mbrtowc.m4 \
	$(top_srcdir)/gl/m4/mbsinit.m4 \
	$(top_srcdir)/gl/m4/mbstate_t.m4 $(top_srcdir)/gl/m4/mbtowc.m4 \
	$(top_srcdir)/gl/m4/memchr.m4 $(top_srcdir)/gl/m4/mktime.m4 \
	$(top_srcdir)/gl/m4/mmap-anon.m4 \
	$(top_srcdir)/gl/m4/mountlist.m4 \
	$(top_srcdir)/gl/m4/msvc-inval.m4 \
	$(top_srcdir)/gl/m4/msvc-nothrow.m4 \
	$(top_srcdir)/gl/m4/multiarch.m4 \
	$(top_srcdir)/gl/m4/netdb_h.m4 \
	$(top_srcdir)/gl/m4/netinet_in_h.m4 \
	$(top_srcdir)/gl/m4/nl_langinfo.m4 $(top_srcdir)/gl/m4/nls.m4 \
	$(top_srcdir)/gl/m4/nocrash.m4 $(top_srcdir)/gl/m4/off_t.m4 \
	$(top_srcdir)/gl/m4/onceonly.m4 $(top_srcdir)/gl/m4/po.m4 \
	$(top_srcdir)/gl/m4/printf.m4 $(top_srcdir)/gl/m4/progtest.m4 \
	$(top_srcdir)/gl/m4/read.m4 $(top_srcdir)/gl/m4/regex.m4 \
	$(top_srcdir)/gl/m4/safe-read.m4 \
	$(top_srcdir)/gl/m4/servent.m4 $(top_srcdir)/gl/m4/setenv.m4 \
	$(top_srcdir)/gl/m4/sha1.m4 $(top_srcdir)/gl/m4/size_max.m4 \
	$(top_srcdir)/gl/m4/snprintf.m4 \
	$(top_srcdir)/gl/m4/socketlib.m4 \
	$(top_srcdir)/gl/m4/sockets.m4 $(top_srcdir)/gl/m4/socklen.m4 \
	$(top_srcdir)/gl/m4/sockpfaf.m4 $(top_srcdir)/gl/m4/ssize_t.m4 \
	$(top_srcdir)/gl/m4/stdalign.m4 $(top_srcdir)/gl/m4/stdbool.m4 \
	$(top_srcdir)/gl/m4/stddef_h.m4 $(top_srcdir)/gl/m4/stdint.m4 \
	$(top_srcdir)/gl/m4/stdint_h.m4 $(top_srcdir)/gl/m4/stdio_h.m4 \
	$(top_srcdir)/gl/m4/stdlib_h.m4 $(top_srcdir)/gl/m4/strcase.m4 \
	$(top_srcdir)/gl/m4/strcasestr.m4 \
	$(top_srcdir)/gl/m4/strerror.m4 \
	$(top_srcdir)/gl/m4/string_h.m4 \
	$(top_srcdir)/gl/m4/strings_h.m4 \
	$(top_srcdir)/gl/m4/strndup.m4 $(top_srcdir)/gl/m4/strnlen.m4 \
	$(top_srcdir)/gl/m4/strsep.m4 $(top_srcdir)/gl/m4/strstr.m4 \
	$(top_srcdir)/gl/m4/sys_socket_h.m4 \
	$(top_srcdir)/gl/m4/sys_types_h.m4 \
	$(top_srcdir)/gl/m4/sys_uio_h.m4 \
	$(top_srcdir)/gl/m4/threadlib.m4 $(top_srcdir)/gl/m4/time_h.m4 \
	$(top_srcdir)/gl/m4/time_r.m4 $(top_srcdir)/gl/m4/timegm.m4 \
	$(top_srcdir)/gl/m4/unistd_h.m4 \
	$(top_srcdir)/gl/m4/vasnprintf.m4 \
	$(top_srcdir)/gl/m4/vasprintf.m4 \
	$(top_srcdir)/gl/m4/vsnprintf.m4 \
	$(top_srcdir)/gl/m4/warn-on-use.m4 \
	$(top_srcdir)/gl/m4/wchar_h.m4 $(top_srcdir)/gl/m4/wchar_t.m4 \
	$(top_srcdir)/gl/m4/wcrtomb.m4 $(top_srcdir)/gl/m4/wctype_h.m4 \
	$(top_srcdir)/gl/m4/wint_t.m4 $(top_srcdir)/gl/m4/xalloc.m4 \
	$(top_srcdir)/gl/m4/xsize.m4 $(top_srcdir)/gl/m4/xstrndup.m4 \
	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/build-aux/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
pkglibexecdir = ${libexecdir}/${PACKAGE}
ACLOCAL = ${SHELL} /tmp/plugins/build-aux/missing --run aclocal-1.11
ALLOCA = 
ALLOCA_H = alloca.h
AMTAR = $${TAR-tar}
APPLE_UNIVERSAL_BUILD = 0
AR = ar
ARFLAGS = cru
AUTOCONF = ${SHELL} /tmp/plugins/build-aux/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/plugins/build-aux/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/plugins/build-aux/missing --run automake-1.11
AWK = mawk
BASENAME = /usr/bin/basename
BITSIZEOF_PTRDIFF_T = 
BITSIZEOF_SIG_ATOMIC_T = 
BITSIZEOF_SIZE_T = 
BITSIZEOF_WCHAR_T = 
BITSIZEOF_WINT_T = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DBILIBS = -ldbi
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEPLIBS = 
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EMULTIHOP_HIDDEN = 
EMULTIHOP_VALUE = 
ENOLINK_HIDDEN = 
ENOLINK_VALUE = 
EOVERFLOW_HIDDEN = 
EOVERFLOW_VALUE = 
ERRNO_H = 
EXEEXT = 
EXTRAS =  check_pgsql$(EXEEXT) check_dbi$(EXEEXT) check_radius$(EXEEXT) check_ldap$(EXEEXT) check_ide_smart$(EXEEXT) check_mysql$(EXEEXT) check_mysql_query$(EXEEXT) check_procs check_nagios$(EXEEXT) check_dns$(EXEEXT) check_hpjd check_snmp$(EXEEXT) check_game$(EXEEXT) check_fping$(EXEEXT) check_by_ssh$(EXEEXT) check_swap$(EXEEXT) check_dig$(EXEEXT) check_apt$(EXEEXT) check_nt$(EXEEXT)
EXTRAS_ROOT = 
EXTRA_NETOBJS = 
EXTRA_TEST = 
FGREP = /bin/grep -F
FLOAT_H = 
FLOORF_LIBM = -lm
GETADDRINFO_LIB = 
GETHOSTNAME_LIB = 
GETLOADAVG_LIBS = 
GETOPT_H = getopt.h
GETTEXT_MACRO_VERSION = 0.18
GLIBC21 = yes
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GNULIB_ACCEPT = 0
GNULIB_ACCEPT4 = 0
GNULIB_ACOSF = 0
GNULIB_ACOSL = 0
GNULIB_ASINF = 0
GNULIB_ASINL = 0
GNULIB_ATAN2F = 0
GNULIB_ATANF = 0
GNULIB_ATANL = 0
GNULIB_ATOLL = 0
GNULIB_BIND = 0
GNULIB_BTOWC = 1
GNULIB_CALLOC_POSIX = 0
GNULIB_CANONICALIZE_FILE_NAME = 0
GNULIB_CBRT = 0
GNULIB_CBRTF = 0
GNULIB_CBRTL = 0
GNULIB_CEIL = 0
GNULIB_CEILF = 0
GNULIB_CEILL = 0
GNULIB_CHDIR = 0
GNULIB_CHOWN = 0
GNULIB_CLOSE = 0
GNULIB_CONNECT = 0
GNULIB_COPYSIGN = 0
GNULIB_COPYSIGNF = 0
GNULIB_COPYSIGNL = 0
GNULIB_COSF = 0
GNULIB_COSHF = 0
GNULIB_COSL = 0
GNULIB_DPRINTF = 0
GNULIB_DUP = 0
GNULIB_DUP2 = 0
GNULIB_DUP3 = 0
GNULIB_DUPLOCALE = 0
GNULIB_ENVIRON = 1
GNULIB_EUIDACCESS = 0
GNULIB_EXP2 = 0
GNULIB_EXP2F = 0
GNULIB_EXP2L = 0
GNULIB_EXPF = 0
GNULIB_EXPL = 0
GNULIB_EXPM1 = 0
GNULIB_EXPM1F = 0
GNULIB_EXPM1L = 0
GNULIB_FABSF = 0
GNULIB_FABSL = 0
GNULIB_FACCESSAT = 0
GNULIB_FCHDIR = 0
GNULIB_FCHOWNAT = 0
GNULIB_FCLOSE = 0
GNULIB_FDATASYNC = 0
GNULIB_FDOPEN = 0
GNULIB_FFLUSH = 0
GNULIB_FFS = 0
GNULIB_FFSL = 0
GNULIB_FFSLL = 0
GNULIB_FGETC = 1
GNULIB_FGETS = 1
GNULIB_FLOOR = 0
GNULIB_FLOORF = 1
GNULIB_FLOORL = 0
GNULIB_FMA = 0
GNULIB_FMAF = 0
GNULIB_FMAL = 0
GNULIB_FMOD = 0
GNULIB_FMODF = 0
GNULIB_FMODL = 0
GNULIB_FOPEN = 0
GNULIB_FPRINTF = 1
GNULIB_FPRINTF_POSIX = 0
GNULIB_FPURGE = 0
GNULIB_FPUTC = 1
GNULIB_FPUTS = 1
GNULIB_FREAD = 1
GNULIB_FREOPEN = 0
GNULIB_FREXP = 0
GNULIB_FREXPF = 0
GNULIB_FREXPL = 0
GNULIB_FSCANF = 1
GNULIB_FSEEK = 0
GNULIB_FSEEKO = 0
GNULIB_FSYNC = 0
GNULIB_FTELL = 0
GNULIB_FTELLO = 0
GNULIB_FTRUNCATE = 0
GNULIB_FWRITE = 1
GNULIB_GETADDRINFO = 1
GNULIB_GETC = 1
GNULIB_GETCHAR = 1
GNULIB_GETCWD = 0
GNULIB_GETDELIM = 0
GNULIB_GETDOMAINNAME = 0
GNULIB_GETDTABLESIZE = 0
GNULIB_GETGROUPS = 0
GNULIB_GETHOSTNAME = 1
GNULIB_GETLINE = 0
GNULIB_GETLOADAVG = 1
GNULIB_GETLOGIN = 0
GNULIB_GETLOGIN_R = 0
GNULIB_GETPAGESIZE = 0
GNULIB_GETPEERNAME = 0
GNULIB_GETSOCKNAME = 0
GNULIB_GETSOCKOPT = 0
GNULIB_GETSUBOPT = 0
GNULIB_GETUSERSHELL = 0
GNULIB_GL_UNISTD_H_GETOPT = 1
GNULIB_GRANTPT = 0
GNULIB_GROUP_MEMBER = 0
GNULIB_HYPOT = 0
GNULIB_HYPOTF = 0
GNULIB_HYPOTL = 0
GNULIB_ILOGB = 0
GNULIB_ILOGBF = 0
GNULIB_ILOGBL = 0
GNULIB_INET_NTOP = 1
GNULIB_INET_PTON = 0
GNULIB_ISATTY = 0
GNULIB_ISFINITE = 0
GNULIB_ISINF = 0
GNULIB_ISNAN = 0
GNULIB_ISNAND = 0
GNULIB_ISNANF = 0
GNULIB_ISNANL = 0
GNULIB_ISWBLANK = 0
GNULIB_ISWCTYPE = 0
GNULIB_LCHOWN = 0
GNULIB_LDEXPF = 0
GNULIB_LDEXPL = 0
GNULIB_LINK = 0
GNULIB_LINKAT = 0
GNULIB_LISTEN = 0
GNULIB_LOCALECONV = 1
GNULIB_LOG = 0
GNULIB_LOG10 = 0
GNULIB_LOG10F = 0
GNULIB_LOG10L = 0
GNULIB_LOG1P = 0
GNULIB_LOG1PF = 0
GNULIB_LOG1PL = 0
GNULIB_LOG2 = 0
GNULIB_LOG2F = 0
GNULIB_LOG2L = 0
GNULIB_LOGB = 0
GNULIB_LOGBF = 0
GNULIB_LOGBL = 0
GNULIB_LOGF = 0
GNULIB_LOGL = 0
GNULIB_LSEEK = 0
GNULIB_MALLOC_POSIX = 1
GNULIB_MBRLEN = 0
GNULIB_MBRTOWC = 1
GNULIB_MBSCASECMP = 0
GNULIB_MBSCASESTR = 0
GNULIB_MBSCHR = 0
GNULIB_MBSCSPN = 0
GNULIB_MBSINIT = 1
GNULIB_MBSLEN = 0
GNULIB_MBSNCASECMP = 0
GNULIB_MBSNLEN = 0
GNULIB_MBSNRTOWCS = 0
GNULIB_MBSPBRK = 0
GNULIB_MBSPCASECMP = 0
GNULIB_MBSRCHR = 0
GNULIB_MBSRTOWCS = 0
GNULIB_MBSSEP = 0
GNULIB_MBSSPN = 0
GNULIB_MBSSTR = 0
GNULIB_MBSTOK_R = 0
GNULIB_MBTOWC = 1
GNULIB_MEMCHR = 1
GNULIB_MEMMEM = 0
GNULIB_MEMPCPY = 0
GNULIB_MEMRCHR = 0
GNULIB_MKDTEMP = 0
GNULIB_MKOSTEMP = 0
GNULIB_MKOSTEMPS = 0
GNULIB_MKSTEMP = 0
GNULIB_MKSTEMPS = 0
GNULIB_MKTIME = 1
GNULIB_MODF = 0
GNULIB_MODFF = 0
GNULIB_MODFL = 0
GNULIB_NANOSLEEP = 0
GNULIB_NL_LANGINFO = 1
GNULIB_OBSTACK_PRINTF = 0

=== PKGBUILD ===
# Maintainer: Jonathan Steel <jsteel at archlinux.org>
# Contributor: Idares <idares at seznam dot cz>

pkgname=monitoring-plugins
pkgver=2.3.1
pkgrel=1
pkgdesc="Plugins for Icinga, Naemon, Nagios, Shinken, Sensu and other monitoring applications"
arch=('x86_64')
url="https://www.monitoring-plugins.org"
license=('GPL3')
depends=('perl')
makedepends=('net-snmp' 'postgresql-libs' 'libdbi' 'mariadb-libs'
  'procps-ng' 'iputils' 'fping' 'dnsutils' 'rpcbind' 'smbclient' 'openssh'
  'inetutils' 'postfix' 'perl-net-snmp')
optdepends=('net-snmp: for SNMP checking'
  'postgresql-libs: for check_pgsql'
  'mariadb-libs: for check_mysql_query and check_mysql'
  'libdbi: for check_dbi'
  'libldap: for check_ldap')
provides=('nagios-plugins')
conflicts=('nagios-plugins')
replaces=('nagios-plugins')
source=("https://www.monitoring-plugins.org/download/$pkgname-$pkgver.tar.gz")
sha256sums=('f56eb84871983fd719247249e3532228b37e2efaae657a3979bd14ac1f84a35b')

build() {
  cd $pkgname-$pkgver

  ./configure --prefix=/usr --libexecdir=/usr/lib/monitoring-plugins \
    --with-ping-command='/usr/bin/ping -4 -n -U -w %d -c %d %s' \
    --with-ping6-command='/usr/bin/ping -6 -n -U -w %d -c %d %s'

  make
}

package() {
  cd $pkgname-$pkgver

  make DESTDIR="$pkgdir" install

  install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING

  for i in ABOUT-NLS ACKNOWLEDGEMENTS AUTHORS CODING ChangeLog \
    FAQ NEWS README REQUIREMENTS SUPPORT THANKS; do
    install -Dm644 $i "$pkgdir"/usr/share/doc/$pkgname/$i
  done
}
